%define	apelver	10.2

Summary: Daredevil SKK - Simple Kana to Kanji conversion program for Emacsen
Name: ddskk
Version: 11.6.0
Release: 1.7.ent
License: GPL
Group: Applications/System
URL:	http://openlab.ring.gr.jp/skk/index-j.html
Source0: http://openlab.ring.gr.jp/skk/maintrunk/ddskk%{version}.tar.bz2
Source1: ddskk-init.el
Patch1: ddskk-11.6.0-tmp-file.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildRequires: emacs, apel >= %{apelver}
Requires: emacs, apel >= %{apelver}
Provides: skk
Obsoletes: skk, ddskk-el < %{version}

%description
Daredevil SKK is a branch of SKK (Simple Kana to Kanji conversion program,
an input method of Japanese). It forked from the maintrunk, SKK version 10.56.
It consists of a simple core and many optional programs which provide extensive
features, however, our target is to more simplify core, and more expand its
optional features.

This package does not include dictionaries or a skkserver. Please install them
separately.

%prep
%setup -q
%patch1 -p1 -b .temp

%build

%install
rm -fr ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/emacs/site-lisp/site-start.d/
# needed for make install-info
mkdir -p %buildroot%{_datadir}/info

make EMACS=emacs PREFIX=${RPM_BUILD_ROOT}%{_prefix} \
    SKK_LISPDIR=${RPM_BUILD_ROOT}%{_datadir}/emacs/site-lisp/ddskk install

install -m 644 etc/SKK.tut ${RPM_BUILD_ROOT}%{_datadir}/skk
install -m 644 etc/SKK.tut.E ${RPM_BUILD_ROOT}%{_datadir}/skk
install -m 644 %SOURCE1 \
	${RPM_BUILD_ROOT}%{_datadir}/emacs/site-lisp/site-start.d

rm -f %buildroot/%{_infodir}/dir

# don't compress ja info pages
%define __os_install_post %{nil}

%clean
rm -fr ${RPM_BUILD_ROOT}

%post
/sbin/install-info %{_infodir}/skk.info %{_infodir}/dir

%preun
/sbin/install-info --delete %{_infodir}/skk.info %{_infodir}/dir

%files
%defattr(-,root,root)
%doc ChangeLog READMEs
%{_datadir}/emacs/site-lisp/ddskk
%{_datadir}/emacs/site-lisp/site-start.d/ddskk-init.el
%{_datadir}/skk
%{_infodir}/*

%changelog
* Thu Jul 28 2003 Jens Petersen <petersen@redhat.com> - 11.6.0-1.7
- update to stable 11.6.0 release
- apply ddskk-11.6.0-tmp-file.patch from debian to fix temp file vulnerability
  CAN-2003-0539 (#98924)
- include uncompressed info files in manifest
- install info manual in info/dir file
- create info directory, but not site-lisp/ddskk and datadir/skk
- own our directories

* Wed Aug 29 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Add semi as a BuildPrereq (#45159)
- s/Copyright/License/
- Don't define a name on top and then use it in the header
 
* Mon Jun 25 2001 SATO Satoru <ssato@redhat.com>
- 2000.6.17
- fix the dependency (now we have the apel alone).
- ddskk-el is disused

* Wed Feb 28 2001 SATO Satoru <ssato@redhat.com>
- fix the Group

* Wed Feb 28 2001 SATO Satoru <ssato@redhat.com>
- fix the dependencies: [Build]Requires
- add ddskk-init.el

* Wed Feb 28 2001 SATO Satoru <ssato@redhat.com>
- rebuild to re-import into the tree
- new upstream snapshot

* Mon Dec 28 2000 SATO Satoru <ssato@redhat.com>
- fix SPEC

* Mon Dec 25 2000 SATO Satoru <ssato@redhat.com>
- new upstream (cvs current snapshot)

* Mon Sep 11 2000 Matt Wilson <msw@redhat.com>
- added %%defattr(-,root,root) to the el subpackage

* Tue Sep  6 2000 Satoru Sato <ssato@redhat.com>
- fix SPEC (check dependencies)

* Tue Sep  5 2000 Satoru Sato <ssato@redhat.com>
- Initial release
